import Vue from 'vue';
import type { ClassName } from '../../common.type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    hasSider: boolean;
}, {
    renderContent(): "" | import("vue").VNode[];
}, {
    classes: ClassName;
}, Record<never, any>>;
export default _default;
